Bug 1301656 - [abrt] musique: QHash<QThread*, QSqlDatabase>::findNode(): musique killed by SIGSEGV
[abrt] musique: QHash<QThread*, QSqlDatabase>::findNode(): musique killed by ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: musique (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5b91c9f2192d5fa7d3c7bc159cb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 10:39 EST by Matej
Modified: 2016-12-20 13:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:11:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (100.50 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: core_backtrace (63.18 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: dso_list (24.76 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: environ (1.44 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: exploitable (95 bytes, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: maps (117.34 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: mountinfo (3.53 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: open_fds (2.88 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details
File: var_log_messages (4.71 KB, text/plain)
2016-01-25 10:40 EST, Matej
no flags Details

  None (edit)
Description Matej 2016-01-25 10:39:44 EST
Description of problem:
after I closed the app

Version-Release number of selected component:
musique-1.4-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        musique
crash_function: QHash<QThread*, QSqlDatabase>::findNode
executable:     /usr/bin/musique
global_pid:     2787
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QHash<QThread*, QSqlDatabase>::findNode at /usr/include/QtCore/qhash.h:887
 #1 QHash<QThread*, QSqlDatabase>::contains at /usr/include/QtCore/qhash.h:874
 #2 Database::getConnection at src/database.cpp:166
 #3 Database::setAttribute at src/database.cpp:219
 #4 Database::setCollectionRoot at src/database.cpp:204
 #5 CollectionScanner::complete at src/collectionscanner.cpp:217
 #6 CollectionScanner::popFromQueue at src/collectionscanner.cpp:140
 #7 CollectionScanner::qt_static_metacall at build/moc/moc_collectionscanner.cpp:73
 #8 QObject::event at kernel/qobject.cpp:1222
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4565
Comment 1 Matej 2016-01-25 10:40:02 EST
Created attachment 1118068 [details]
File: backtrace
Comment 2 Matej 2016-01-25 10:40:04 EST
Created attachment 1118069 [details]
File: cgroup
Comment 3 Matej 2016-01-25 10:40:09 EST
Created attachment 1118070 [details]
File: core_backtrace
Comment 4 Matej 2016-01-25 10:40:12 EST
Created attachment 1118071 [details]
File: dso_list
Comment 5 Matej 2016-01-25 10:40:13 EST
Created attachment 1118072 [details]
File: environ
Comment 6 Matej 2016-01-25 10:40:15 EST
Created attachment 1118073 [details]
File: exploitable
Comment 7 Matej 2016-01-25 10:40:16 EST
Created attachment 1118074 [details]
File: limits
Comment 8 Matej 2016-01-25 10:40:31 EST
Created attachment 1118075 [details]
File: maps
Comment 9 Matej 2016-01-25 10:40:32 EST
Created attachment 1118076 [details]
File: mountinfo
Comment 10 Matej 2016-01-25 10:40:35 EST
Created attachment 1118077 [details]
File: namespaces
Comment 11 Matej 2016-01-25 10:40:36 EST
Created attachment 1118078 [details]
File: open_fds
Comment 12 Matej 2016-01-25 10:40:38 EST
Created attachment 1118079 [details]
File: proc_pid_status
Comment 13 Matej 2016-01-25 10:40:39 EST
Created attachment 1118080 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:10:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:11:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.